Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ITrajectoryGeo

    java.lang.Object
      igeo.IDynamicsBase
          igeo.ITrajectoryGeo

All Implemented Interfaces:
  IDynamics, ISubobject, ITrajectoryI

    public class ITrajectoryGeo

extends IDynamicsBase
implements ITrajectoryI

IDyanmics class to have trajectory curve object. In every update, specified vector position is added to the trajectory curve.

Author:
  Satoru Sugihara

Field Summary
`ICurve` | `curve`
`int` | `degree`
`IVecI` | `pos`

Fields inherited from class igeo.IDynamicsBase
`parent, targets`

Constructor Summary
`ITrajectoryGeo(IObject obj, IVecI pos)`
`ITrajectoryGeo(IObject obj, IVecI pos, int curveDegree)`
`ITrajectoryGeo(IPointAgent agent)`
`ITrajectoryGeo(IPointAgent agent, int curveDegree)`
`ITrajectoryGeo(IVecI pos)`
`ITrajectoryGeo(IVecI pos, int curveDegree)`

Method Summary
`ITrajectoryGeo` | `addCP(IVecI pt)` add a point at the end of trajectory curve
`ICurve` | `curve()` returns trajectory curve object
`int` | `deg()`
`ITrajectoryGeo` | `deg(int deg)`
`void` | `del()`
`void` | `hide()`
`void` | `show()`
`ICurve` | `trajectory()` alias of curve()
`void` | `update()` behavior definition of updating dynamics in each time frame

Methods inherited from class igeo.IDynamicsBase
`initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, updateTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### degree

    public int degree

### curve

    public ICurve curve

### pos

    public IVecI pos

Constructor Detail

### ITrajectoryGeo

    public ITrajectoryGeo(IVecI pos)

### ITrajectoryGeo

    public ITrajectoryGeo(IVecI pos,
                          int curveDegree)

### ITrajectoryGeo

    public ITrajectoryGeo(IObject obj,
                          IVecI pos)

### ITrajectoryGeo

    public ITrajectoryGeo(IObject obj,
                          IVecI pos,
                          int curveDegree)

### ITrajectoryGeo

    public ITrajectoryGeo(IPointAgent agent)

### ITrajectoryGeo

    public ITrajectoryGeo(IPointAgent agent,
                          int curveDegree)

Method Detail

### deg

    public int deg()

### deg

    public ITrajectoryGeo deg(int deg)

### hide

    public void hide()

### show

    public void show()

### del

    public void del()

### curve

    public ICurve curve()

  Description copied from interface: `ITrajectoryI`
  returns trajectory curve object

  Specified by:
    `curve` in interface `ITrajectoryI`

### trajectory

    public ICurve trajectory()

  Description copied from interface: `ITrajectoryI`
  alias of curve()

  Specified by:
    `trajectory` in interface `ITrajectoryI`

### addCP

    public ITrajectoryGeo addCP(IVecI pt)

  add a point at the end of trajectory curve

  Specified by:
    `addCP` in interface `ITrajectoryI`

### update

    public void update()

  Description copied from class: `IDynamicsBase`
  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`
  Overrides:
    `update` in class `IDynamicsBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD